org.richfaces.renderkit.html

## Class MenuItemRendererDelegate

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.richfaces.renderkit.html.MenuItemRendererDelegate

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.resource.ResourceProduser

      public class MenuItemRendererDelegate
      extends org.ajax4jsf.renderkit.RendererBase

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuItemRendererDelegate()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `collectInlineStyles(javax.faces.context.FacesContext context, javax.faces.component.UIComponent menuItem, boolean isOnmouseover)`
    `protected java.lang.Class` | `getComponentClass()`
    `protected javax.faces.component.UIComponent` | `getParentMenu(javax.faces.context.FacesContext context, javax.faces.component.UIComponent menuItem)`
    `protected void` | `initializeStyles(javax.faces.context.FacesContext context, javax.faces.component.UIComponent menuItem, boolean disabled, org.ajax4jsf.renderkit.ComponentVariables variables)`
    `protected java.lang.String` | `processInlineStyles(javax.faces.context.FacesContext context, javax.faces.component.UIComponent menuItem, boolean isOnmouseover)` Deprecated.

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MenuItemRendererDelegate

          public MenuItemRendererDelegate()

  - ### Method Detail

    - #### initializeStyles

          protected void initializeStyles(javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent menuItem,
                              boolean disabled,
                              org.ajax4jsf.renderkit.ComponentVariables variables)

    - #### collectInlineStyles

          protected java.lang.String collectInlineStyles(javax.faces.context.FacesContext context,
                                             javax.faces.component.UIComponent menuItem,
                                             boolean isOnmouseover)

    - #### processInlineStyles

          @Deprecated
          protected java.lang.String processInlineStyles(javax.faces.context.FacesContext context,
                                                        javax.faces.component.UIComponent menuItem,
                                                        boolean isOnmouseover)

      Deprecated.

    - #### getParentMenu

          protected javax.faces.component.UIComponent getParentMenu(javax.faces.context.FacesContext context,
                                                        javax.faces.component.UIComponent menuItem)

    - #### getComponentClass

          protected java.lang.Class getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

Copyright © 2013. All Rights Reserved.